function qProd = qProduct(q1, q2)
%Quaternion Product
%
%
%Author: Karianne Knutsen Tnne
%
%Date: 23/10-06
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%  Calculates the quaternionproduct of to quaternion vectors      %
%                                                                 %
%   Input = q1 and q2   Output qProd = q1 x q2                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

qProd = [q1(1)*q2(1) - q1(2)*q2(2) - q1(3)*q2(3) - q1(4)*q2(4);
        q1(1)*q2(2) + q2(1)*q1(2) + q1(3)*q2(4) - q1(4)*q2(3) ;
        q1(1)*q2(3) + q2(1)*q1(3) + q1(4)*q2(2) - q1(2)*q2(4) ;
        q1(1)*q2(4) + q2(1)*q1(4) + q1(2)*q2(3) - q1(3)*q2(2) ;
        ];
       

