function u = MDcontr(in)
%Model dependant controller 
%
%Author: Karianne Knutsen Tnne
%
%Date: 18/5-07
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%                          Controller                             %
%                                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global I w_o_io Sd Sp 


e = in(2:4);
w_b_ob = in(5:7);
w_b_ib_dot = in(8:10);


R_b_o = rquat(in(1:4))';
w_b_ob_dot = w_b_ib_dot + R_b_o*w_o_io;


u = (Sp*e + Sd*w_b_ob + I*w_b_ob_dot + cross(w_b_ob, I*w_b_ob));

